InvalidOptionValueException (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.config.InvalidOptionValueException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.config
Class InvalidOptionValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hyperic.util.NestedRuntimeException
                      org.hyperic.util.config.InvalidOptionValueException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  EarlyExitException

    public class InvalidOptionValueException

extends NestedRuntimeException

See Also:
  Serialized Form

Constructor Summary
`InvalidOptionValueException()`
`InvalidOptionValueException(java.lang.String s)`
`InvalidOptionValueException(java.lang.String s, java.lang.Throwable t)`
`InvalidOptionValueException(java.lang.Throwable t)`

Method Summary

Methods inherited from class org.hyperic.util.NestedRuntimeException
`addException, getExceptionOfType, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidOptionValueException

    public InvalidOptionValueException()

### InvalidOptionValueException

    public InvalidOptionValueException(java.lang.String s)

### InvalidOptionValueException

    public InvalidOptionValueException(java.lang.Throwable t)

### InvalidOptionValueException

    public InvalidOptionValueException(java.lang.String s,
                                       java.lang.Throwable t)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.